Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 92124 - Deadlock when opening VMD after copy&paste
Deadlock when opening VMD after copy&paste
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: Build System
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Adam Sotona
issues@mobility
: THREAD
Depends on:
Blocks: 92244
  Show dependency treegraph
 
Reported: 2007-01-09 15:16 UTC by Lukas Hasik
Modified: 2007-01-16 10:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
full thread dump (40.17 KB, text/plain)
2007-01-09 15:19 UTC, Lukas Hasik
Details
project that I'm able to reproduce... Try open the WebToMobileClientMIDlet.java The deadlock appears when you switch to Flow/Design view (18.32 KB, application/x-compressed)
2007-01-09 15:33 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2007-01-09 15:16:13 UTC
mp070109

-I generated J2ME Webservice Client for Convertor webservice to new
project(http://www.softwaremaker.net/webservices/swm/Convertor/Convertor.asmx?wsdl)
-Then I copied (simple copy, no refactoring) midlet WebToMobileClient.java from
a 5.5 project to the webservice project
-deadlock appeared when I wanted to open (doubleclick) the copied midlet
Comment 1 Lukas Hasik 2007-01-09 15:19:15 UTC
Created attachment 37186 [details]
full thread dump
Comment 2 Lukas Hasik 2007-01-09 15:33:17 UTC
Created attachment 37187 [details]
project that I'm able to reproduce... Try open the WebToMobileClientMIDlet.java The deadlock appears when you switch to Flow/Design view
Comment 3 David Kaspar 2007-01-09 16:43:18 UTC
The deadlock was could by:
1) while loading of a document, the Designer class is locked
2) during the loading, missing library libraries are added into project
(J2MEProjectHelper.addLibrariesToProject method) which requires writeAccess on
project Mutex
3) Another modules are locking the mutex first and then there locking the
Designer class -> deadlock

The bug is fixed by post-poning of adding of missing-libraries to request
processor, which is called without Designer being locked
Comment 4 Lukas Hasik 2007-01-15 16:08:38 UTC
please, set up the right Target Milestone next time
Comment 5 Lukas Hasik 2007-01-16 10:31:14 UTC
works in 070116-m6 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo